%define major 10
%define major_xx 4
%define major_mp 3

%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define libname_gmpxx %mklibname %{name}xx %{major_xx}
%define develname_gmpxx %mklibname %{name}xx -d
%define	libname_mp %mklibname %{name}mp %{major_mp}
%define	develname_mp %mklibname %{name}mp -d

Summary:	A GNU arbitrary precision library
Name:		gmp
Version:	6.1.2
Release:	%mkrel 1
License:	GPLv3
Group:		System/Libraries
URL:		http://gmplib.org/
Source0:	http://ftp.gnu.org/pub/gnu/gmp/%{name}-%{version}.tar.xz
Source1:	http://ftp.gnu.org/pub/gnu/gmp/%{name}-%{version}.tar.xz.sig
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands.

GNU MP is fast for several reasons:
   - it uses fullwords as the basic arithmetic type,
   - it uses fast algorithms,
   - it carefully optimizes assembly code for many CPUs' most common
     inner loops
   - it generally emphasizes speed over simplicity/elegance in its
     operations

%package -n	%{libname}
Summary:	A GNU arbitrary precision library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands.

GNU MP is fast for several reasons:
  - it uses fullwords as the basic arithmetic type,
  - it uses fast algorithms
  - it carefully optimizes assembly code for many CPUs' most common
    inner loops
  - it generally emphasizes speed over simplicity/elegance in its
    operations

%package -n	%{develname}
Summary:	Development tools for the GNU MP arbitrary precision library
Group:		Development/C
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname %{name} 3 -d} < 4.2.4

%description -n	%{develname}
The static libraries, header files and documentation for using the GNU MP
arbitrary precision library in applications.

If you want to develop applications which will use the GNU MP library,
you'll need to install the gmp-devel package.  You'll also need to
install the gmp package.

%package -n	%{libname_gmpxx}
Summary:	C++ support for GMP
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	libgmpxx = %{version}-%{release}
Obsoletes:	%mklibname %{name}xx 3

%description -n	%{libname_gmpxx}
C++ support for GMP.

%package -n	%{develname_gmpxx}
Summary:	C++ Development tools for the GMP
Group:		Development/C++
Requires:	%{develname} = %{version}-%{release}
Requires:	%{libname_gmpxx} = %{version}-%{release}
Provides:	lib%{name}xx-devel = %{version}-%{release}
Provides:	gmpxx-devel = %{version}-%{release}
Obsoletes:	%{mklibname %{name}xx 4 -d} < 4.2.4

%description -n	%{develname_gmpxx}
C++ Development tools for the GMP.

%prep
%setup -q

%build
%configure2_5x \
	--enable-cxx \
	--enable-mpbsd \
	--enable-fft \
	--disable-static
%make

%check
# All tests must pass
make check

%install
%makeinstall_std

#multiarch
%multiarch_includes %{buildroot}%{_includedir}/gmp.h

#we don't want these
find %{buildroot} -name "*.la" -delete

%post -n %{develname}
%_install_info %{name}.info

%preun -n %{develname}
%_remove_install_info %{name}.info

%files -n %{libname}
%doc NEWS README
%{_libdir}/libgmp.so.%{major}{,.*}

%files -n %{develname}
%doc doc demos
%{_libdir}/libgmp.so
%{_includedir}/gmp.h
%multiarch %{multiarch_includedir}/gmp.h
%{_infodir}/gmp.info*

%files -n %{libname_gmpxx}
%{_libdir}/libgmpxx.so.%{major_xx}{,.*}

%files -n %{develname_gmpxx}
%{_libdir}/libgmpxx.so
%{_includedir}/gmpxx.h


%changelog
* Sun Jan 01 2017 luigiwalser <luigiwalser> 6.1.2-1.mga6
+ Revision: 1078953
- 6.1.2

* Thu Aug 11 2016 luigiwalser <luigiwalser> 6.1.1-1.mga6
+ Revision: 1045498
- 6.1.1

* Thu Dec 31 2015 luigiwalser <luigiwalser> 6.1.0-1.mga6
+ Revision: 917437
- 6.1.0

* Fri Aug 21 2015 tmb <tmb> 6.0.0a-4.mga6
+ Revision: 867588
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 6.0.0a-3.mga5
+ Revision: 744373
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.0.0a-2.mga5
+ Revision: 679670
- Mageia 5 Mass Rebuild

* Sun Mar 30 2014 luigiwalser <luigiwalser> 6.0.0a-1.mga5
+ Revision: 609861
- 6.0.0a

* Mon Oct 21 2013 umeabot <umeabot> 5.1.3-2.mga4
+ Revision: 539198
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 luigiwalser <luigiwalser> 5.1.3-1.mga4
+ Revision: 491572
- 5.1.3

* Sat Jul 27 2013 luigiwalser <luigiwalser> 5.1.2-2.mga4
+ Revision: 459037
- add upstream patch to fix mpn_sbpi1_div_qr_sec and mpn_sbpi1_div_r_sec

* Mon Jul 22 2013 luigiwalser <luigiwalser> 5.1.2-1.mga4
+ Revision: 457311
- 5.1.2

* Mon Mar 18 2013 mitya <mitya> 5.1.1-1.mga3
+ Revision: 403951
- New version 5.1.1

* Sun Jan 27 2013 mitya <mitya> 5.1.0-1.mga3
+ Revision: 392790
- New version 5.1.0

* Sat Jan 12 2013 umeabot <umeabot> 5.0.5-3.mga3
+ Revision: 351876
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 cjw <cjw> 5.0.5-2.mga3
+ Revision: 275855
- make gmp.h multiarch

* Sat Jul 07 2012 mitya <mitya> 5.0.5-1.mga3
+ Revision: 268751
- New version 5.0.5

* Sun Feb 12 2012 mitya <mitya> 5.0.4-1.mga2
+ Revision: 207603
- New version 5.0.4

* Sun Jan 29 2012 fwang <fwang> 5.0.3-1.mga2
+ Revision: 202920
- new version 5.0.3

* Fri Dec 16 2011 wally <wally> 5.0.2-2.mga2
+ Revision: 182623
- disable static build
- drop .la files

* Fri Jun 17 2011 tv <tv> 5.0.2-1.mga2
+ Revision: 109256
- new release

* Sat Jan 08 2011 blino <blino> 5.0.1-3.mga1
+ Revision: 714
- remove old ldconfig scripts
- imported package gmp

